{ 2005-11-19 programmeerimisvistlus                                        }
{ lesanne: NELINURGA ANALS                                               }
{ Autor: Ahto Truu                                                          }
{ Testitud: FPC 2.0.0 / Win32                                               }

const
   sisf = 'neli.sis';                                    { sisendfaili nimi }
   valf = 'neli.val';                                   { vljundfaili nimi }

type
   punkt = record
      x, y : longint;
   end;

{ kontrollib, punktide b ja c omavahelist asendit a poolt vaadates }
{ tagastab: +1, kui b paremal; -1, kui b vasakul; 0, kui hel joonel }
function suund(a, b, c : punkt) : integer;
var vk : longint;
begin
   vk := (b.x - a.x) * (c.y - a.y) - (c.x - a.x) * (b.y - a.y);
   if vk > 0 then exit(+1);
   if vk < 0 then exit(-1);
   exit(0);
end;

{ kontrollib, kas ligud a-b ja c-d likuvad }
function loikuvad(a, b, c, d : punkt) : boolean;
begin
   if suund(a, b, c) * suund(a, b, d) > 0 then exit(false);
   if suund(c, d, a) * suund(c, d, b) > 0 then exit(false);
   exit(true);
end;

{ kontrollib, kas ligud a-b ja c-d on paralleelsed }
function paralleelsed(a, b, c, d : punkt) : boolean;
var vk : longint;
begin
   vk := (b.x - a.x) * (d.y - c.y) - (d.x - c.x) * (b.y - a.y);
   exit(vk = 0);
end;

{ leiab ligu a-b pikkuse ruudu }
function pikkus(a, b : punkt) : longint;
begin
   exit(sqr(a.x - b.x) + sqr(a.y - b.y));
end;

var
   f : text;                                           { sisend-vljundfail }
   p1, p2, p3, p4 : punkt;                                  { antud punktid }
   a1, a2, a3, a4 : longint;                           { "klgede" pikkused }
   d1, d2 : longint;                              { "diagonaalide" pikkused }

begin
   { loeme sisendandmed }
   assign(f, sisf); reset(f);
   readln(f, p1.x, p1.y);
   readln(f, p2.x, p2.y);
   readln(f, p3.x, p3.y);
   readln(f, p4.x, p4.y);
   close(f);

   { arvutame kljed ja diagonaalid }
   a1 := pikkus(p1, p2);
   a2 := pikkus(p2, p3);
   a3 := pikkus(p3, p4);
   a4 := pikkus(p4, p1);
   d1 := pikkus(p1, p3);
   d2 := pikkus(p2, p4);

   assign(f, valf); rewrite(f);
   if suund(p1, p2, p3) * suund(p1, p2, p4) * suund(p3, p4, p1) * suund(p3, p4, p2) = 0 then
      writeln(f, 'VIGA')
   else if loikuvad(p1, p2, p3, p4) or loikuvad(p1, p4, p2, p3) then
      writeln(f, 'VIGA')
   else if (a1 = a3) and (a2 = a4) then
      if (a1 = a2) then
         if (d1 = d2) then
            writeln(f, 'RUUT')
         else
            writeln(f, 'ROMB')
      else
         if (d1 = d2) then
            writeln(f, 'RISTKULIK')
         else
            writeln(f, 'ROOPKULIK')
   else if paralleelsed(p1, p2, p3, p4) or paralleelsed(p1, p4, p2, p3) then
      writeln(f, 'TRAPETS')
   else
      writeln(f, 'MUU');
   close(f);
end.
