{ 2005-11-19 programmeerimisvistlus                                        }
{ lesanne: VHIM RIST                                                      }
{ Autor: Indrek Jentson                                                     }
{ Testitud: FPC 2.0.0 / Win32                                               }

type
  Point = record
    x, y : longint;
  end;
  PointList = array[1..100] of Point;

var
  N : Integer;
  M : PointList;
  resA, resB, resC, resD : integer;
  minsize : longint;

function vk(i, j, k, l : integer) : longint;
var
  v1, v2 : Point;
  res : longint;
begin
  v1.x := M[j].x - M[i].x;
  v1.y := M[j].y - M[i].y;
  v2.x := M[l].x - M[k].x;
  v2.y := M[l].y - M[k].y;
  res := v1.x * v2.y - v2.x * v1.y;
  if res > 0 then vk := 1
  else if res < 0 then vk := -1
  else vk := 0;
end;

function is_crossing(i, j, k, l : integer) : boolean;
var
  s1, s2, s3, s4 : integer;
begin
  s1 := vk(i, k, i, j);
  s2 := vk(i, l, i, j);
  s3 := vk(k, i, k, l);
  s4 := vk(k, j, k, l);
  is_crossing := ((s1 * s2) < 0) and ((s3 * s4) < 0);
end;

function calc_size(i, j, k, l : integer) : longint;
begin
  calc_size := (M[j].x-M[i].x)*(M[j].x-M[i].x)+(M[j].y-M[i].y)*(M[j].y-M[i].y)+
               (M[l].x-M[k].x)*(M[l].x-M[k].x)+(M[l].y-M[k].y)*(M[l].y-M[k].y);
end;

procedure read_data;
var
  infile: Text;
  i : integer;
begin
  Assign(infile, 'rist.sis');
  Reset(infile);
  readln(infile, N);
  for i := 1 to N do
  begin
    readln(infile, M[i].x, M[i].y);
  end;
  Close(infile);
end;

procedure write_answer;
var
  outfile: Text;
begin
  Assign(outfile, 'rist.val');
  Rewrite(outfile);
  writeln(outfile, resA, ' ', resB);
  writeln(outfile, resC, ' ', resD);
  Close(outfile);
end;

procedure find_answer;
var
  a, b, c, d : integer;
  s : longint;
begin
  minsize := 2147483647;
  for a := 1 to N-1 do
    for b := a+1 to N do
      for c := a+1 to N-1 do
        for d := c+1 to N do
        begin
          if (a <> c) and (a <> d) and (b <> c) and (b <> d) then
          begin
            s := calc_size(a, b, c, d);
            { writeln(a,' ', b,' ', c,' ', d,' ', s); }
            if s < minsize then
            begin
              if is_crossing(a, b, c, d) then
              begin
                resA := a; resB := b; resC := c; resD := d;
                minsize := s;
              end;
            end;
          end;
        end;
end;

begin
  read_data;
  find_answer;
  write_answer;
end.
