#include <cstdio>
#include <cstdlib>
#include <cstring>

const char *IN = "teed.sis";
const char *OUT = "teed.val";
const char *HINT = "teed.xxx";

void ERR() {
    printf("400\n");
    exit(0);
}

void OK(int n, const char *s) {
    printf("200\nScore: %d\nError: %s\n", n, s);
    exit(0);
}

int main() {
    FILE *hint = fopen(HINT, "rt");
    if (!hint)
        ERR();
    FILE *out = fopen(OUT, "rt");
    if (!out)
        ERR();
    char s[20];
    int u;
    int d1, D1, d2, D2;
    while (fscanf(hint, "%d %d ", &d1, &D1) == 2) {
        if (!fgets(s, sizeof(s), out))
            OK(0, "Enneaegne faili lpp");
        if (sscanf(s, "%d %d %n", &d2, &D2, &u) != 2)
            OK(0, "Viga tisarvu lugemisel");
        if (u < strlen(s))
            OK(0, "Liigsed smbolid rea lpus");
        if (d1 != d2 || D1 != D2)
            OK(0, "Vale vastus");
    }
    if (fscanf(out, "%10s", s) == 1)
        OK(0, "Liigsed read faili lpus");
    if (fclose(hint))
        ERR();
    if (fclose(out))
        ERR();
    OK(100, "OK");
}
