#include <cstdio>
#include <cstdlib>
#include <cstring>

const char *IN = "nadal.sis";
const char *OUT = "nadal.val";
const char *HINT = "nadal.xxx";

void ERR() {
    printf("400\n");
    exit(0);
}

void OK(int n, const char *s) {
    printf("200\nScore: %d\nError: %s\n", n, s);
    exit(0);
}

int n1, n2;

int main() {
    FILE *hint = fopen(HINT, "rt");
    if (!hint)
        ERR();
    if (fscanf(hint, "%d ", &n1) != 1)
        ERR();
    if (fclose(hint))
        ERR();

    FILE *out = fopen(OUT, "rt");
    if (!out)
        ERR();
    char s[20];
    int u;
    if (!fgets(s, sizeof(s), out))
        OK(0, "Enneaegne faili lpp");
    if (sscanf(s, "%d %n", &n2, &u) != 1)
        OK(0, "Viga tisarvu lugemisel");
    if (u < strlen(s))
        OK(0, "Liigsed smbolid rea lpus");
    if (fscanf(out, "%10s", s) == 1)
        OK(0, "Liigsed read faili lpus");
    if (fclose(out))
        ERR();

    if (n1 != n2)
        OK(0, "Vale vastus");
    OK(100, "OK");
}
