#include <cstdio>
#include <cstdlib>
#include <cstring>

const char *IN = "neli.sis";
const char *OUT = "neli.val";
const char *HINT = "neli.xxx";

void ERR() {
    printf("400\n");
    exit(0);
}

void OK(int n, const char *s) {
    printf("200\nScore: %d\nError: %s\n", n, s);
    exit(0);
}

void trim(char *s) {
    int i = strlen(s) - 1;
    while (i >= 0 && (s[i] == '\n' || s[i] == '\r'))
        s[i--] = 0;
}

char s1[20], s2[20];

int main() {
    FILE *hint = fopen(HINT, "rt");
    if (!hint)
        ERR();
    if (!fgets(s1, sizeof(s1), hint))
        ERR();
    if (fclose(hint))
        ERR();

    FILE *out = fopen(OUT, "rt");
    if (!out)
        ERR();
    if (!fgets(s2, sizeof(s2), out))
        OK(0, "Enneaegne faili lpp");
    char s[10 + 1];
    if (fscanf(out, "%10s", s) == 1)
        OK(0, "Liigsed read faili lpus");
    if (fclose(out))
        ERR();

    trim(s1); trim(s2);
    if (strcmp(s1, s2) != 0)
        OK(0, "Vale vastus");
    OK(100, "OK");
}
