type
  Point = record
    x, y : integer;
  end;
  PointList = array[1..100] of Point;
    
var
  outfile : Text;
  N : Integer;
  M : PointList;

procedure create_random_points(var PM : PointList; PN : integer);
var
  cnt, i : integer;
  exists : boolean;
begin
  cnt := 0;
  repeat
    cnt := cnt + 1;
    PM[cnt].x := 10000-random(20000);
    PM[cnt].y := 10000-random(20000);
    exists := false;
    for i := 1 to cnt-1 do
    begin
      exists := exists or ((PM[i].x = PM[cnt].x) AND (PM[i].y = PM[cnt].y));
    end;
    if exists then cnt := cnt - 1;
  until cnt = PN;
end;

procedure create_grid_points(var PM : PointList; PI, PJ : integer);
var
  cnt, i, j : integer;
begin
  cnt := 0;
  for i := 1 to PI do
    for j := 1 to PJ do
    begin
      cnt := cnt + 1;
      PM[cnt].x := i*10;
      PM[cnt].y := j*10;
    end;
end;

procedure write_points (var outf : text; var PM : PointList; PN : integer);
var
  i : integer;
begin
  for i := 1 to PN do
  begin
    writeln(outf, PM[i].x, ' ', PM[i].y);
  end;
end;

begin
  randomize;
  Assign(outfile, 'rist.05.sis');
  Rewrite(outfile);
  N := 20;
  writeln(outfile, N);
  create_random_points(M, N);
  write_points(outfile, M, N);
  Close(outfile);
  Assign(outfile, 'rist.06.sis');
  Rewrite(outfile);
  N := 40;
  writeln(outfile, N);
  create_random_points(M, N);
  write_points(outfile, M, N);
  Close(outfile);
  Assign(outfile, 'rist.07.sis');
  Rewrite(outfile);
  N := 60;
  writeln(outfile, N);
  create_random_points(M, N);
  write_points(outfile, M, N);
  Close(outfile);
  Assign(outfile, 'rist.08.sis');
  Rewrite(outfile);
  N := 80;
  writeln(outfile, N);
  create_random_points(M, N);
  write_points(outfile, M, N);
  Close(outfile);
  Assign(outfile, 'rist.09.sis');
  Rewrite(outfile);
  N := 100;
  writeln(outfile, N);
  create_random_points(M, N);
  write_points(outfile, M, N);
  Close(outfile);
  Assign(outfile, 'rist.10.sis');
  Rewrite(outfile);
  N := 100;
  writeln(outfile, N);
  create_grid_points(M, 10, 10);
  write_points(outfile, M, N);
  Close(outfile);
end.
